aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authoralexbiehl <alex.biehl@gmail.com>2017-04-11 19:46:29 +0200
committeralexbiehl <alex.biehl@gmail.com>2017-04-11 19:46:29 +0200
commit62ae5e71ceaee2e5ae58c87f870cdc5ccfe67e33 (patch)
treeb52e635891ecb53db5a9b924e477b06a21a88219 /scripts
parent8260f433c5e7b9baf47ae94f2208a2eedfad189d (diff)
Move dist scripts to scripts/
Diffstat (limited to 'scripts')
-rw-r--r--scripts/build-windows-dist.sh18
-rw-r--r--scripts/make-sdist.sh36
2 files changed, 54 insertions, 0 deletions
diff --git a/scripts/build-windows-dist.sh b/scripts/build-windows-dist.sh
new file mode 100644
index 00000000..2ae7dd2a
--- /dev/null
+++ b/scripts/build-windows-dist.sh
@@ -0,0 +1,18 @@
+# mini script for building the relocatable Windows binary distribution.
+#
+# sh build-windows-dist.sh
+#
+# NB. the Cabal that shipped with GHC 6.6 isn't enough for this, because it
+# is missing this patch:
+#
+# Fri Oct 13 11:09:41 BST 2006 Simon Marlow <simonmar@microsoft.com>
+# * Fix getDataDir etc. when bindir=$prefix
+#
+# So you need to use a more recent Cabal. GHC 6.6 is fine for building the
+# package, though.
+
+ghc --make Setup
+./Setup configure --prefix=`pwd`/install --bindir='$prefix' --libdir='$prefix' --datadir='$prefix'
+./Setup build
+./Setup install
+echo Now zip up `pwd`/install as "haddock-<version>-Win32.zip"
diff --git a/scripts/make-sdist.sh b/scripts/make-sdist.sh
new file mode 100644
index 00000000..914bf909
--- /dev/null
+++ b/scripts/make-sdist.sh
@@ -0,0 +1,36 @@
+# Put the Happy-generated .hs files in the right place in the source dist.
+set -e
+rm -f dist/haddock-*.tar.gz
+rm -rf dist/haddock-*/
+./Setup sdist
+cd dist
+tar xvzf haddock-*.tar.gz
+cd haddock-*/
+mkdir dist
+mkdir dist/build
+mv haddock dist/build
+cd ..
+tar cvzf haddock-*.tar.gz haddock-*/
+
+# Steps for doing a release:
+# * Update version number in .cabal, doc/haddock.xml
+# * Update CHANGES
+# * Source:
+# - do the above
+# - upload the dist to haskell.org:haddock/dist/${version}
+# - scp CHANGES haskell.org:haddock/CHANGES.txt
+# * Binaries:
+# - build the Windows binary zip (see build-windows-dist.sh)
+# - scp haddock-<version>-Win32.zip haskell.org:haddock/dist
+# * Documentation:
+# - cd doc
+# - make html
+# - mv haddock haddock-html
+# - tar cvzf haddock-doc-html-${version}.tar.gz haddock-html
+# - scp haddock-doc-html-${version}.tar.gz www.haskell.org:../haskell/haddock/doc
+# - ssh haskell.org
+# - cd haddock/doc
+# - tar xvzf haddock-doc-html-${version}.tar.gz
+# - rm -rf html-OLD
+# - mv html html-OLD && mv haddock-html html
+# * Update the web page (~/darcs/www/haddock/index.html), and push it